std::istreambuf_iterator::equal(3)

NAME
std::istreambuf_iterator::equal - std::istreambuf_iterator::equal

Synopsis
   bool equal( const istreambuf_iterator& it ) const;
   Checks whether both *this and it are valid, or both are invalid, regardless of the
   stream buffer objects they use.

Parameters
   it - another stream buffer iterator to compare to

Return value
   true if both *this and it are valid, or both are invalid, false otherwise.

Exceptions
   May throw implementation-defined exceptions.